#!/bin/csh

# may be this is not a command-shell script
# and won't work with OpenStep NT

if (-x ~/Library/Tex2Eps/tex2eps.bat) then
	~/Library/Tex2Eps/tex2eps.bat
	exit
endif

cd ~/Library/Tex2Eps/tmp

echo '\documentstyle[12pt]{article}\
\pagestyle{empty}\
\begin{document}\
\huge\
\include{tex2eps}\
\end{document}' > tex2eps_main.tex

latex '\nonstopmode\input{tex2eps_main.tex}'
dvips -D 600 -E -o tex2eps.eps tex2eps_main.dvi
rm -f tex2eps_main.tex tex2eps.tex tex2eps_main.aux tex2eps_main.dvi tex2eps_main.log tex2eps.aux
